﻿/************************************************************************************************************************************
 * Company Name:Mindfire Solutions.
 * Created Date:
 * Description:This is a webpart(basically a user control) that can be used to add a Subscriber or Subscriber List to MailChimp from 
 *             ExcelSheet and send email through MailChimp which is a browser based Mail service.
 * ***********************************************************************************************************************************/
<%@ WebHandler Language="C#" Class="FileUploadHandler" %>

using System;
using System.Web;
using System.IO;

public class FileUploadHandler : IHttpHandler {
    
    public void ProcessRequest (HttpContext context) {
        if (context.Request.Files.Count > 0)
        {
            //target filepath to store excel file
            string target =  HttpContext.Current.Server.MapPath(string.Format("~/{0}/", "MailChimpUploads"));

            if (!Directory.Exists(target))
            {
                Directory.CreateDirectory(target);
            }
            //if Exist delete all the files Inside Directory
            else
            {
			    DirectoryInfo dir = new DirectoryInfo(target);
                foreach (FileInfo f in dir.GetFiles())
                {
                    f.Delete();//delete the file
                }
            }
            //retrieve the file details 
            var file = context.Request.Files[0];
            if (file.FileName.Contains("\\"))
            {
                string[] strSplitArr = file.FileName.Split('\\');
                // Saving imported manifest file to target path.
                file.SaveAs(target + "\\" + strSplitArr[strSplitArr.Length - 1].ToString());
            }
            else
            {
                // Saving imported manifest file to target path.
                file.SaveAs(target + "\\" + file.FileName);
            }
        }       
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}